package com.younike.common.annotation;


import com.younike.common.constant.BusinessType;
import com.younike.common.constant.OperatorType;

import java.lang.annotation.*;

/**
 * 操作日志注解
 *
 * @author Andrew
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface OpLog {

    /**
     * 模块
     *
     * @return {String}
     */
    String title() default "";

    /**
     * 日志内容
     *
     * @return {String}
     */
    String value() default "日志记录";

    /**
     * 操作类型
     * 默认：其他
     *
     * @return {String}
     */
    BusinessType type() default BusinessType.OTHER;

    /**
     * 操作人类别
     */
    OperatorType operatorType() default OperatorType.MANAGE;

    /**
     * 是否保存请求的参数
     */
    boolean isSaveRequestData() default true;
}
